FamaBeta {PerformanceAnalytics} | R Documentation

## Fama beta of the return distribution

### Description

Fama beta is a beta used to calculate the loss of diversification. It is made so that the systematic risk is equivalent to the total portfolio risk.

### Usage

    FamaBeta(Ra, Rb, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`...` | any other passthru parameters

### Details

Fama beta = portfolio standard deviation / benchmark standard deviation

where σ_P is the portfolio standard deviation and σ_M is the market risk

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.78

### Examples

    data(portfolio_bacon)
    print(FamaBeta(portfolio_bacon[,1], portfolio_bacon[,2])) #expected 1.03

    data(managers)
    print(FamaBeta(managers['1996',1], managers['1996',8]))
    print(FamaBeta(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]